Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareCompilationUnit

- org.codehaus.groovy.tools.javac.JavaAwareCompilationUnit

- Compilation Unit capable of compiling Java source files.

  Authors:
    Alex.Tkachman

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareCompilationUnit (CompilerConfiguration configuration)`
    `JavaAwareCompilationUnit (CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)`
    `JavaAwareCompilationUnit (CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addSources(String[] paths)`
    `void` | `addSources(File[] files)`
    `void` | `configure(CompilerConfiguration configuration)`
    `JavaCompilerFactory` | `getCompilerFactory()`
    `void` | `gotoPhase(int phase)`
    `void` | `setCompilerFactory(JavaCompilerFactory compilerFactory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationUnit` | `getClassNode, addClassNode, getAST, addPhaseOperation, addPhaseOperation, addPhaseOperation, setClassgenCallback, addSource, addSource, addSource, addSource, addSource, addSources, addSources, getTransformLoader, addNewPhaseOperation, getSummariesBySourceName, getSummariesByPublicClassName, getClassSourcesByPublicClassName, isPublicClass, getFirstClassNode, applyToPrimaryClassNodes, setProgressCallback, applyToSourceUnits, applyToGeneratedGroovyClasses, setClassNodeResolver, getProgressCallback, getClassNodeResolver, getASTTransformationsContext, getClassgenCallback, configure, compile, compile, getClasses, iterator, getErrorCollector, setConfiguration, getPhase, gotoPhase, nextPhase, completePhase, getPhaseDescription, getConfiguration, setClassLoader, getClassLoader, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class ProcessingUnit` | `getErrorCollector, setConfiguration, getPhase, gotoPhase, nextPhase, completePhase, getPhaseDescription, configure, getConfiguration, setClassLoader, getClassLoader, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader)

    - #### public JavaAwareCompilationUnit(CompilerConfiguration configuration, GroovyClassLoader groovyClassLoader, GroovyClassLoader transformClassLoader)

  - ### Method Detail

    - #### public void addSources(String[] paths)

    - #### public void addSources(File[] files)

    - #### public void configure(CompilerConfiguration configuration)

    - #### public JavaCompilerFactory getCompilerFactory()

    - #### public void gotoPhase(int phase)

    - #### public void setCompilerFactory(JavaCompilerFactory compilerFactory)